/*-
 * Copyright (c) 2001 Eugene Ossintsev
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: defines.h,v 1.3 2001/12/21 00:21:46 gene Exp $
 */

#ifndef _DEFINES_H_
#define _DEFINES_H_

/* The count of undo operations for every symbol.
 * One must be no more than can hold the type
 * `signed short' and divisible by 10.
 */
#define NUM_OF_UNDO	100

/* Default font height */
#define FONT_HEIGHT	16

/* Minimum font height */
#define MIN_FONT_HEIGHT	6

/* Maximum font height.
 * Character heights greater than 32 are not attested to exist.
 */
#define MAX_FONT_HEIGHT 32

/* Maximum length of a message */
#define MAX_MSG_LEN     80

/* Default number of characters in font file */
#define NUM_OF_CHARS	256

#endif  /* _DEFINES_H_ */


/* EOF */
