/*-
 * Copyright (c) 2001 Eugene Ossintsev
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: scr.h,v 1.5 2001/12/21 23:30:44 gene Exp $
 */

#ifndef _SCR_H_
#define _SCR_H_

/* Custom colors */
int C_BITS, C_INFO, C_PANEL, C_MSG, C_ERR;

/* Line drawing symbols */
chtype ULCORNER, URCORNER, LLCORNER, LRCORNER, HLINE, VLINE, LTEE, RTEE;
chtype LARROW, RARROW, DARROW, UARROW;

/* Macro for Ctrl-c where `c' is some letter */
#define C(c)		(0x1f & (c))

/* CFE screen initialization.
 * is_ascii  - is ASCII line drawing?
 * is_bw     - is black and white display?
 */
void cfe_init_scr(int is_ascii, int is_bw);

/* Show alert message */
void alert(const char *str);

/* Show normal message */
void message(const char *str);

/* Show resize message with suggested cols and lines.
 * WARNING: not redrawed by draw_message() !
 */
void resize_message(short cols, short lines);

/* Draw either of above-mentioned messages */
void draw_message();

/* Frame drawing.
 * Includes glyph drawing function. */
void draw_frame();

/* Glyph drawing function */
void draw_glyph();

/* Checks if window size is valid.
 *  chk = 1 -- forces check and prints error message if check failed
 *  chk = 0 -- returns previous check result
 */
int chk_win_size(int chk);

#endif  /* _SCR_H_ */


/* EOF */
