/*-
 * Copyright (c) 2001 Eugene Ossintsev
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: undo.h,v 1.5 2001/12/21 23:30:44 gene Exp $
 */

#ifndef _UNDO_H_
#define _UNDO_H_

/* Undo initialization. */
int init_undo(struct CFE_FONT *font);

/* Free memory allocated for undo operations. */
void free_undo();

/* Restores glyph rows and cursor coordinates.
 * Returns 0 if nothing to undo.
 */
int get_undo(struct CFE_GLYPH *glyph);

/* Store glyph rows and cursor coordinates.
 */
void put_undo(struct CFE_GLYPH *glyph);

/* Returns non-zero if the file is modified. */
int file_modified();

/* Called after the file has been saved. */
void clear_file_modified();

/* Returns non-zero if the glyph is modified. */
int glyph_modified(short glyph_num);


#endif  /* _UNDO_H_ */


/* EOF */
